Bug 135941 - Evolution "hangs" on startup accessing vFolder and other problems related.
Evolution "hangs" on startup accessing vFolder and other problems related.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 16:20 EDT by Robert Couture
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:19:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Couture 2004-10-15 16:20:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012
Firefox/0.10.1

Description of problem:
1. Starting Evolution "hangs" with these messages in status bar:
   Updating vFolders for 'On this Computer:/Computer Related/' (...)

Also it is showing the message:
   Opening folder
mbox:/home/user/.evolution/mail/local/Computer%20Related/Fed (the rest
is cut off)

2.  I cannot access the inbox or other folders this check, but
previous attempts did allow access to other folder and I could read
mail in my inbox.

When doing so, HTML images were not being displayed.  Just the 'x' image.

3.  I have a message waiting to be sent.  It will not send.  

4.  Exiting the program, gives me the warning box about unsent
messages I click Quit and all text is greyed out on screen and it
hangs.  I have to kill the process.

Top shows no CPU usage out of the ordinary but I do have:

netstat <defunct>  (?? never started that manually)


Version-Release number of selected component (if applicable):
evolution-2.0.2-1, evolution-data-server-1.0.2-2

How reproducible:
Always

Steps to Reproduce:
1.  Open the program
2.
3.
    

Actual Results:  As decribed above.

Expected Results:  Normal operation.

Additional info:
Comment 1 Robert Couture 2004-10-15 16:24:04 EDT
I should note that I use POP3 access for mail if that is relevent.
Comment 2 Dave Malcolm 2004-10-15 16:34:05 EDT
What version of the kernel was this with? (perhaps 2.6.8-1.624 ?) Does
the problem persist if you use an earlier version of the kernel?
Comment 3 Robert Couture 2004-10-15 16:53:03 EDT
Yes, it was that kernel.  It works using 610.  Never would have
thought of it being the kernel.   (Learn something new everyday.)

I'll leave you to handle bug status then.
Comment 4 Dave Malcolm 2004-10-15 17:00:55 EDT
This looks like a problem with a recent change to the behaviour of
O_NONBLOCK, which will be reverted in tonight's kernel.

It looks like a longstanding bug (or class of bugs) in Evolution,
which was exposed by the kernel change.

I opened bug #135942 to cover this, though that bug didn't have any
symptoms of the problem, which this bug has (many thanks!)

I suspect that this is a systemic problem in the source code, and that
there are a number of separate bugs in the code related to this :-(
Comment 5 Trever Adams 2004-10-16 14:34:27 EDT
I am having the exact same problem. Is it possible to put the 610 i686
(athlon) kernel back online? I am having a problem finding it on the
mirrors.
Comment 6 Trever Adams 2004-10-16 14:37:36 EDT
http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/development/i386/Fedora/RPMS/?page=15

Finally found it. Hopefully it isn't gone by the time someone else
tries to view it... and hopefully it checks out. Anyone have a sig or
an MD5 on the original 610?
Comment 7 Joshua M. Thompson 2004-10-16 19:45:21 EDT
The problem with not sending outgoing mail has been happening to me
and I'm still on kernel 2.6.8-1.610. The problem does not occur until
evolution has been running for several hours. At that point evolution
hangs trying to send outgoing mail and the only recourse is to close
evolution and reopen it. Once I do that it's good for a few hours
hours. What's particularly frustrating about this is that there is NO
indication that evolution is having a problem until i manually hit the
"Send/Receive" button; otherwise evolution happily continues to build
up outgoing mail in my local Outgoing folder and simply does not send it.
Comment 8 Joshua M. Thompson 2004-11-12 15:45:24 EST
Just an update, as of today, running fully updated FC3, evolution
still refuses to send outgoing mail after it's been running for more
more than a few hours.

Not sure if this is a related symptom but evolution also gets
progressively slooooower the longer I leave it open. Eventually just
clicking on a mail message takes 2-3 seconds to bring up the message
(it 's almost instant when evolution has just been opened.) When I
finally close evolution it usually takes at least a minute to close.
Comment 10 Matthew Miller 2006-07-10 19:41:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 11 John Thacker 2006-10-30 10:19:46 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.
 It has remained in NEEDINFO status for quite a long period of time, asking for
confirmation on a more recent (still fully supported) version of Fedora Core.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.